summaryrefslogtreecommitdiffstats
path: root/nsswitch
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2014-03-31 14:02:18 +1300
committerDavid Disseldorp <ddiss@samba.org>2014-04-02 13:07:24 +0200
commit8175e980298cf21595732070bc6f59cba26afe33 (patch)
tree79878adb44e646b1dd78608695b0a77345f53d17 /nsswitch
parent95e0d759ac7584d8e27240f11a4b51077b61929c (diff)
downloadsamba-8175e980298cf21595732070bc6f59cba26afe33.tar.gz
samba-8175e980298cf21595732070bc6f59cba26afe33.tar.xz
samba-8175e980298cf21595732070bc6f59cba26afe33.zip
selftest: Rename wbinfo_s3 to wbinfo_simple and reorder code for clarity
Change-Id: Ic2e06e448fce1d91422b711abf663b9253009a53 Signed-off-by: Andrew Bartlett <abartlet@samba.org> Reviewed-by: David Disseldorp <ddiss@samba.org> Autobuild-User(master): David Disseldorp <ddiss@samba.org> Autobuild-Date(master): Wed Apr 2 13:07:24 CEST 2014 on sn-devel-104
Diffstat (limited to 'nsswitch')
-rwxr-xr-xnsswitch/tests/test_wbinfo_simple.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/nsswitch/tests/test_wbinfo_simple.sh b/nsswitch/tests/test_wbinfo_simple.sh
new file mode 100755
index 0000000000..dc90ddcadf
--- /dev/null
+++ b/nsswitch/tests/test_wbinfo_simple.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_wbinfo_simple.sh <wbinfo args>
+EOF
+exit 1;
+fi
+
+ADDARGS="$*"
+
+incdir=`dirname $0`/../../testprogs/blackbox
+. $incdir/subunit.sh
+
+testit "wbinfo" $VALGRIND $BINDIR/wbinfo $ADDARGS || failed=`expr $failed + 1`
+
+testok $0 $failed